# Method ADT.Sequence()->_get_iterator()

Method _get_iterator

  `ADT.Sequence a;
  foreach( a; index; value ) or
  ```SequenceIterator` _get_iterator(`void`|`int` `ind`)`

Description

  Create and initiate a new SequenceIterator that could be used to iterate over this sequence.

Parameter `ind`

  If an `ind` value is supplied the iterator will be positioned at that index.

Returns

  An iterator.